#!/usr/bin/env node

var coz = require('coz'),
    path = require('path'),
    async = require('async');

var pkg = require('../package.json'),
    config = require('./configs/build-config'),
    tmpl = require(config.tmpl);

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

async.series([
    function (callback) {
        coz.render(config['buds'], callback);
    },
    function (callback) {
        var data = config['data'];
        data.pkg = pkg;
        tmpl.render(data, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});