/**
 * Ask sure to release
 * @memberof module:apeman-command-releasing
 * @function ifSure
 * @param {function) callback - Callback if sure.
 */
"use strict";

var yesno = require('yesno');


/** @lends ifSure */
function ifSure(callback) {
    yesno.ask('Are you sure to release new version? [y/N]', false, function (sure) {
        if (sure) {
            callback(true);
        } else {
            console.log('Aborted.');
            process.exit(1);
        }
    });
}

module.exports = ifSure;
