/**
 * Release a package.
 * @memberof module:apeman-dev-commons-releasing/lib
 * @function resolveScript
 * @param {string} script - Script to resolve.
 */

"use strict";

var path = require('path');

var scriptDir = path.join(__dirname, 'scripts');

/** @lends resolveScript */
function resolveScript(script) {
    try {
        return require.resolve(path.resolve(scriptDir, script));
    } catch (e) {
        // Do nothing.
    }
    return script;
}

module.exports = resolveScript;